Properties Methods Events Direct Link

# Class Ext.dd.Registry

Package: | Ext.dd
Defined In: | Registry.js
Class: | Registry
Extends: | Object

Provides easy access to all drag drop components that are registered on a page. Items can be retrieved either directly by DOM node id, or by passing in the drag drop event that occurred and looking up the event target.
This class is a singleton and cannot be created directly.

## Public Properties

This class has no public properties.

## Public Methods

Method | Defined By
--- | ---

getHandle( `String/HTMLElement id` ) : Object
Returns the handle registered for a DOM Node by id
Returns the handle registered for a DOM Node by id
Parameters:

- `id` : String/HTMLElement
  The DOM node or id to look up

Returns:

- `Object`
  handle The custom handle data

Registry

getHandleFromEvent( `Event e` ) : Object
Returns the handle that is registered for the DOM node that is the target of the event
Returns the handle that is registered for the DOM node that is the target of the event
Parameters:

- `e` : Event
  The event

Returns:

- `Object`
  handle The custom handle data

Registry

getTarget( `String/HTMLElement id` ) : Object
Returns a custom data object that is registered for a DOM node by id
Returns a custom data object that is registered for a DOM node by id
Parameters:

- `id` : String/HTMLElement
  The DOM node or id to look up

Returns:

- `Object`
  data The custom data

Registry

getTargetFromEvent( `Event e` ) : Object
Returns a custom data object that is registered for the DOM node that is the target of the event
Returns a custom data object that is registered for the DOM node that is the target of the event
Parameters:

- `e` : Event
  The event

Returns:

- `Object`
  data The custom data

Registry

register( `String/HTMLElement) element`, [`Object data`] ) : void
Resgister a drag drop element
Resgister a drag drop element
Parameters:

- `element` : String/HTMLElement)
  The id or DOM node to register
- `data` : Object
  (optional) An custom data object that will be passed between the elements that are involved in drag drop operations. You can populate this object with any arbitrary properties that your own code knows how to interpret, plus there are some specific properties known to the Registry that should be populated in the data object (if applicable):

      Value      Description

      ---------  ------------------------------------------

      handles    Array of DOM nodes that trigger dragging

                 for the element being registered

      isHandle   True if the element passed in triggers

                 dragging itself, else false

Returns:

- `void`

Registry

unregister( `String/HTMLElement) element` ) : void
Unregister a drag drop element
Unregister a drag drop element
Parameters:

- `element` : String/HTMLElement)
  The id or DOM node to unregister

Returns:

- `void`

Registry

## Public Events

This class has no public events.